mysql -uqa -pqatest -e "set global innodb_large_prefix = ON;"
mysql -uqa -pqatest -e "set global innodb_file_format = BARRACUDA;"

sed -i "/innodb_file_format/d" /home/quant_group/mysql-5.6.31/my.cnf
sed -i "/innodb_file_per_table/d" /home/quant_group/mysql-5.6.31/my.cnf
sed -i "/innodb_large_prefix/d" /home/quant_group/mysql-5.6.31/my.cnf

echo "innodb_file_format=barracuda" >> /home/quant_group/mysql-5.6.31/my.cnf
echo "innodb_file_per_table=true" >> /home/quant_group/mysql-5.6.31/my.cnf
echo "innodb_large_prefix=true" >> /home/quant_group/mysql-5.6.31/my.cnf

